%define qtdir %_libdir/qt3

Name: ecamegapedal
Version: 0.4.4
Release: alt1.3

Summary: Ecamegapedal - a realtime effect processor
Summary(ru_RU.KOI8-R): -,     
Group: Sound
License: GPL
Url: http://www.eca.cx/ecasound

Source: http://ecasound.seul.org/download/%name-%version.tar.gz

%define ecasound_ver 2.3.5
%define jack_ver 0.75.0

Requires: ecasound >= %ecasound_ver
Requires: jackd >= %jack_ver
Requires: ladspa_sdk, cmt, ladspa-swh-plugins

BuildPreReq: ecasound-devel >= %ecasound_ver
BuildPreReq: jackit-devel >= %jack_ver

# Automatically added by buildreq on Sat May 08 2004
BuildRequires: XFree86-libs ecasound-devel fontconfig freetype2 gcc-c++ glib2-devel glibc-devel-static jackit-devel libalsa-devel libaudiofile-devel libqt3-devel libsamplerate-devel libsndfile-devel libstdc++-devel

%description
Ecamegapedal is a real-time effect processor software with a graphical
user interface for controlling the effect parameters. It is meant to be
used as a virtual guitar-fx or studio effect box. In addition to
real-time operation, ecamegapedal also supports reading from and writing
to audio files. All audio object and effect plugin types provided by the
ecasound libraries are supported. This includes ALSA, JACK, OSS, aRts,
over 20 file formats, over 30 effect types, LADSPA plugins and
multi-operator effect presets. Ecamegapedal's implementation is based on
ecasound and Qt libraries.

%description -l ru_RU.KOI8-R
Ecamegapedal -  -   ,  
   .    -  
      .   
      ecamegapedal   
    .      
  ,   ecasound.  ,    
  ALSA, JACK, OSS, aRts,   20  ,   
30  ,  LADSPA     
 .

%prep
%setup -q
%__subst 's,-I\(\$(ECA_S_JACK_INCLUDES)\),\1,' src/Makefile.in
%__subst 's,\.la/>,.so,' configure

%build
export QTDIR=%qtdir

%configure \
	--disable-static \
	--disable-rpath

%make_build

%install
%make_install DESTDIR=%buildroot install

# menu
%__cat <<__MENU__ > %name.menu
?package(%name): command="%_bindir/%name" needs="X11" \
section="Multimedia/Sound" title="Ecamegapedal" \
longtitle="Ecamegapedal - a realtime effect processor" \
icon="%name.png"
__MENU__

%__install -pD -m644 %name.menu %buildroot%_menudir/%name

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_datadir/%name
%_man1dir/*
%_menudir/*
%doc NEWS README TODO

%changelog
* Mon Mar 21 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.4.4-alt1.3
- truly rebuild against libecasound.so.14

* Tue Mar 15 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.4.4-alt1.2
- rebuild against libecasound-2.4.0

* Tue Jan 18 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.4.4-alt1.1
- rebuild against libecasound-2.3.5.

* Sat May 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.4.4-alt1
- 0.4.4

* Fri Feb 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.4.3-alt0.8
- fixed build.

* Wed Dec 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.3-alt0.7
- rebuild against ecasound-2.3.2

* Fri Sep 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.3-alt0.6
- updated buildreqs

* Thu Aug 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.3-alt0.5
- 0.4.3

* Fri May 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.2-alt0.5
- 0.4.2

* Tue Mar 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.1-alt0.5
- 0.4.1

* Mon Mar 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.0-alt0.5
- First build for Sisyphus.

